<?php
/**
 * 
 * @copyright	2000-2007 LOCKON CO.,LTD. All Rights Reserved.
 * @version	CVS: $Id: mdl_epsilon.inc 7162 2006-11-18 09:53:33Z kakinaka $
 * @link		http://www.lockon.co.jp/
 *
 */
require_once(DATA_PATH . "module/Request.php");

/****  *********************************************************************************************/

define("MDL_ZEUS_ID", 10);

// 쥸åʬ
$arrPaymentClass = array(
	'01' => 'ʧ',
	'03' => '3ʧ',
	'05' => '5ʧ',
	'06' => '6ʧ',
	'10' => '10ʧ'		
);

// ѥ᡼
define ("SECURE_LINK_URL", "https://linkpt.cardservice.co.jp/cgi-bin/secure.cgi");

// ʸ
define ("CLIENTIP_LEN", 5);
define ("SEND_LEN", 20);

/**************************************************************************************************************
 * ؿ̾	sfGetPaymentDB
 * 	ɬפʥǡ롣
 * 1	
 * 2	
 * 3	
 * 	
 **************************************************************************************************************/
function sfGetPaymentDB($module_id, $where = "", $arrWhereVal = array()){
	$objQuery = new SC_Query();
		
	$arrVal = array($module_id);
	$arrVal = array_merge($arrVal, $arrWhereVal);
	
	$arrRet = array();
	$sql = "SELECT 
				module_id, 
				memo01 as clientip
			FROM dtb_payment WHERE module_id = ? " . $where;
	$arrRet = $objQuery->getall($sql, $arrVal);

	return $arrRet[0];
}

/**************************************************************************************************************
 * ؿ̾	sfPostPaymentData
 * 	ѥǡ
 * 1	
 * 2	
 * 3	
 * 	
 **************************************************************************************************************/
function sfPostPaymentData($arrData, $arrInput, $quick_chage = false){
	$arrPaymentDB = sfGetPaymentDB(MDL_ZEUS_ID);
	
	if(!$quick_chage) {
		$arrPost = array(
			'clientip' => $arrPaymentDB['clientip'],
			'cardnumber' =>  $arrInput['card_no01'].$arrInput['card_no02'].$arrInput['card_no03'].$arrInput['card_no04'],
			'expyy' => $arrInput['card_year'],
			'expmm' => $arrInput['card_month'],
			'telno' => $arrData['order_tel01'].$arrData['order_tel02'].$arrData['order_tel03'],
			'email' => $arrData['order_email'],
			'sendid' => $arrData['order_id'],
			'username' => $arrInput['card_name01'].$arrInput['card_name02'],
			'money' => $arrData['total'],
			'sendpoint' => 'eccube',
			'send' => 'mall',
			'pubsec' => '',
			'div' => $arrInput['payment_class']
		);
	} else {
		// å㡼Ѥ
		$objQuery = new SC_Query();
		$objQuery->setlimit(1);
		$objQuery->setorder("create_date DESC");
		$arrRet = $objQuery->select("order_id, order_tel01, order_tel02, order_tel03", "dtb_order", "memo01 = ? AND customer_id = ?", array(MDL_ZEUS_ID, $arrData['customer_id']));
		
		$arrPost = array(
			'send' => 'mall',
			'clientip' => $arrPaymentDB['clientip'],
			'money' => $arrData['total'],
			'telno' => $arrRet['order_tel01'].$arrRet['order_tel02'].$arrRet['order_tel03'],
			'sendid' => $arrRet['order_id'],
			'cardnumber' => '888888888888888',
			'email' => $arrData['order_email'],
			'sendpoint' => 'eccube',
			'expyy' => '01',	// ߡ
			'expmm' => '01',	// ߡ
			'div' => '',
 			'entry' => 'non',
 			'pubsec' => 'yes'			
 		);
 		
 		sfPrintR($arrPost);
	}
	
	$req = new HTTP_Request(SECURE_LINK_URL);
	$req->setMethod(HTTP_REQUEST_METHOD_POST);
	$req->addPostDataArray($arrPost);
	
	if (!PEAR::isError($req->sendRequest())) {
	    $response = $req->getResponseBody();
	    $response = mb_convert_encoding($response, "EUC-JP", "Shift-JIS");
	}
	$req->clearPostData();
	gfPrintLog("̡".$response);
		
	if(ereg('Success_order', $response)) {
		// ơ֥˵Ͽ
		$arrVal["memo01"] = MDL_ZEUS_ID;	// ⥸塼ID
		$arrVal["memo03"] = $response;		// 
		// ơ֥˹
		sfRegistTempOrder($arrData['order_temp_id'], $arrVal);
		return true;
	} else {
		return false;
	}
	return $arrVal;
}
/**************************************************************************************************************
 * ؿ̾	sfZeusDisp
 * 	̤ɽ
 * 1	
 * 2	
 * 3	
 * 	
 **************************************************************************************************************/
function sfZeusDisp($objPage, $payment_id) {
	$objQuery = new SC_Query();
	// ʧˡ롣
	$arrRet = $objQuery->select("payment_method, payment_image", "dtb_payment", "payment_id = ?", array($payment_id));
	$objPage->tpl_payment_method = $arrRet[0]['payment_method'];
	$objPage->tpl_payment_image = $arrRet[0]['payment_image'];
	return $objPage;
}
?>